i3-nagbar(1)
============
Michael Stapelberg <michael+i3@stapelberg.de>
v4.0, July 2011

== NAME

i3-nagbar - displays an error bar on top of your screen

== SYNOPSIS

i3-nagbar [-m <message>] [-b <button> <action>] [-t warning|error] [-f <font>] [-v]

== OPTIONS

*-v, --version*::
Display version number and exit.

*-h, --help*::
Display a short help-message and exit.

*-t, --type* 'type'::
Display either a warning or error message. This only changes the color scheme
for the i3-nagbar. Default: error.

*-m, --message* 'message'::
Display 'message' as text on the left of the i3-nagbar.

*-f, --font* 'font'::
Select font that is being used.

*-b, --button* 'button' 'action'::
Create a button with text 'button'. The 'action' are the shell commands that
will be executed by this button. Multiple buttons can be defined.

== DESCRIPTION

i3-nagbar is used by i3 to tell you about errors in your configuration file
(for example). While these errors are logged to the logfile (if any), the past
has proven that users are either not aware of their logfile or do not check it
after modifying the configuration file.

== EXAMPLE

------------------------------------------------
i3-nagbar -m 'You have an error in your i3 config file!' \
-b 'edit config' 'i3-sensible-editor ~/.config/i3/config'
------------------------------------------------

== SEE ALSO

i3(1)

== AUTHOR

Michael Stapelberg and contributors
